Forum:CATIA V5 Programmierung
Thema:Kochbuch - Rezept R16 - Volks DMU
Möchten Sie sich registrieren?
Wer darf antworten? Registrierte Benutzer können Beiträge verfassen.
Hinweise zur Registrierung Sie müssen registriert sein, um Beiträge oder Antworten auf Beiträge schreiben zu können.
Ihr Benutzername:
Ihr Kennwort:   Kennwort vergessen?
Anhang:    Datei(en) anhängen  <?>   Anhänge verwalten  <?>
Grafik für den Beitrag:                                                
                                                       
Ihre Antwort:

Fachbegriff
URL
Email
Fett
Kursiv
Durchgestr.
Liste
*
Bild
Zitat
Code

*HTML ist AUS
*UBB-Code ist AN
Smilies Legende
Netiquette

10 20 40

Optionen Smilies in diesem Beitrag deaktivieren.
Signatur anfügen: die Sie bei den Voreinstellungen angegeben haben.

Wenn Sie bereits registriert sind, aber Ihr Kennwort vergessen haben, klicken Sie bitte hier.

Bitte drücken Sie nicht mehrfach auf "Antwort speichern".

*Ist HTML- und/oder UBB-Code aktiviert, dann können Sie HTML und/oder UBB Code in Ihrem Beitrag verwenden.

T H E M A     A N S E H E N
Christian.O

Beiträge: 1212 / 0

Celsius-Mobile H720
i7-3840QM
32 Gb Arbeitsspeicher
256 Gb SSD
Quadro K2000M
Windows 7 Professional (64 Bit)
Catia V5R19 (64 Bit)
SpacePilot Pro

Servus,

bei meinem neuen Problem geht es um Dauerhaft geschnittene Baugruppe ohne DMU-Lizenz.
Anbei 2 Auszüge aus dem Kochbuch vom Rezept R16 dem Volks DMU von Jens Hansen.

Zitat:
Jetzt kann es aber sein, dass je nach Lage des Bauteils es vorkommen kann, dass
selbiges gar nicht von dem Inverse-Feature geschnitten werden kann. Der Schnitt
geht quasi am Bauteil vorbei. In diesem Fall liefert das Update einen Fehler mit der
Nummer „–2147467259“ (durch viele Versuche herausgefunden). Tritt dieser Fall
ein, muss der Schnitt deaktiviert werden, da sonst das Update nicht durchläuft

d.h. wenn Bauteile nicht geschnitten werden, werden die Schnitte im jeweilen Body/Bauteil deaktiviert. Im angehängten Bild sieht man das dieses aber nicht funktioniert. Die ganzen Split`s in den einzelnen Bodies werden nicht deaktiviert. Das weiteren hab ich auch schon probiert den einfügten Body zu deaktivieren. Das Bauteil bleibt aber immer noch sichtbar. Wenn man aber statt dem Inverse die Plane zum Schneiden der Bauteile verwendet sind die linken Bauteile nicht mehr zu sehen.

Nun zu meiner Frage: funktioniert dieses Makro bei anderen so wie es soll oder bin ich der einzige bei dem es nicht so ganz klappt? Hab ich die Erklärung von Jens Hansen nicht verstanden? Bitte um Klärung. Danke.

Edit: Warum werden Bauteile (wie Schrauben und Leisten bei mir) die öfter als einmal verbaut sind nur einmal dargestellt? Wenn ich mit Publications arbeite bezieht sich der Link auf das erste verbaute Element. Wenn ich nicht mit den Publications arbeite bezieht sich der Link auf die letzte verbaute Einheit. Wenn ich aber die publizierten Bodies händisch in ein neues Part kopiere, sind beide Instanzen vorhanden und einzeln splitbar. Kann man dieses Phänomen irgendwie umgehen?
------------------
Mit freundlichen Grüßen aus Tirol
Christian Obholzer

[Diese Nachricht wurde von Christian.O am 09. Jan. 2011 editiert.]

CadV5UserR

Beiträge: 78 / 0

Windows 7 x64 Professional SP1
Dell Precision T3500
Intel Xeon CPU W3580 3.33GHz
24Gb Ram
NVIDIA Qudro 4000
Catia V5R20 Sp6
SmarTeam V5R20 SP6

Hallo Christian,


Ich hatte bei dem Makro auch einige Probleme und habe es für mich so angepasst das es gut funktioniert.

Zuerst mal hatte ich die gleichen Probleme wie Du auch.
Da ich aber eh nicht an einer Ebene schneiden wollte, sondern einen Körper herausschneiden wollte, habe ich einfach eine Boolesche Operation eingebaut wo dieser Körper abgezogen wird. Bei einer Fehlermeldung wird der Körper nicht geschnitten und die Boolesche Operation wieder gelöscht.

Mein größtes bis jetzt auch ungelöstes Problem ist das der Befehl

CATIA.StartCommand "Design Mode"

bei mir nicht Funktionierte, da ich die deutsche Umgebung benutze!?
Wenn ich auf Englisch umschalte läuft die Funktion durch.

Das gemusterte schrauben usw. nicht richtig funktionieren kann ich auch bestätigen.
Hierzu benötigst Du meiner Meinung nach die echte Referenz des Körpers der Teile die gemustert wurden.

Als Beispiel über
Set ref2 = product1.CreateReferenceFromName( „Produkt01/Teil.1/Hauptkörper“)
oder
Set ref2 = product1.CreateReferenceFromName( „Produkt01/Teil.2/Hauptkörper“)
usw.
---------------------------------------------
            If (nichteinf = 0) Then
2                If (curproduct.Products.Count = 0) Then

                 
                        RefPfad1(Pfadtiefe) = "/" & curproduct.Name

                 
3                      Set visPropertySet1 = selection1.VisProperties
                     
                        Set productDocument1 = CATIA.ActiveDocument
                        Set selection1 = productDocument1.Selection
           
4                      selection1.Add curproduct
5                      visPropertySet1.SetShow 1
6                      selection1.Clear
                        part1.Update
                        On Error Resume Next
7                      Set partDocument2 = curproduct.ReferenceProduct.Parent
8                      For i = 1 To partDocument2.Part.Bodies.Count
9                        Set body1 = partDocument2.Part.Bodies.Item(i)
10                        If (body1.InBooleanOperation = False) Then

                                RefPfadGes = ""
                                For U = 0 To Pfadtiefe
                                    RefPfadGes = RefPfadGes & RefPfad1(U)
                                Next
                                Set ref2 = product1.CreateReferenceFromName(RefPfadGes & "/!" & body1.Name)

---------------------------------------------

Ich weiß nicht ob ich das komplette Makro hier zeigen darf / sollte?


Ich hoffe das hilft Dir etwas weiter?


Grüße aus den Rheinland,
Ralf

Christian.O

Beiträge: 1212 / 0

Celsius-Mobile H720
i7-3840QM
32 Gb Arbeitsspeicher
256 Gb SSD
Quadro K2000M
Windows 7 Professional (64 Bit)
Catia V5R19 (64 Bit)
SpacePilot Pro

Servus,

erstmals Danke für deine Antwort.
Wie ich die Teile schneiden werd weiß ich noch nicht. Eventuell auch mit einem Remove die alle die gleiche Skizze besitzen. Somit wäre ich wenigstens in diese Richtung etwas flexibl. Um die Schnittrichtung dann umzudrehen müßte ich nur händisch ein Maß swapen.

Für die mehrfachverbauten Teile werd ich auch gleich vorgehen wie du.

------------------
Mit freundlichen Grüßen aus Tirol
Christian Obholzer